Package com.avaya.clientservices.pushnotification

## Interface PushNotificationServiceListener

-     public interface PushNotificationServiceListener

  Interface that can be used to retrieve status updates from the `PushNotificationService`. One or more listeners can be registered with `PushNotificationService` to retrieve status updates.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onPushNotificationServiceDisabled​(PushNotificationService pushNotificationService, PushNotificationServiceType pushNotificationServiceType)` | Reports that the push notification service has been successfully closed or its work was interrupted, for example by a network or server problem.
    `void` | `onPushNotificationServiceEnabled​(PushNotificationService pushNotificationService, PushNotificationServiceType pushNotificationServiceType)` | Reports that the push notification service has successfully started or restored.
    `void` | `onPushNotificationServiceFailed​(PushNotificationService pushNotificationService, PushNotificationServiceType pushNotificationServiceType, PushNotificationProcessingError error)` | Reports that the Push Notification service failed.

- - ### Method Detail

    - #### onPushNotificationServiceEnabled

          void onPushNotificationServiceEnabled​(PushNotificationService pushNotificationService,
                                                PushNotificationServiceType pushNotificationServiceType)

      Reports that the push notification service has successfully started or restored.
      Parameters:
        `pushNotificationService` - the `PushNotificationService` object that the callback is associated with.
        `pushNotificationServiceType` - service type.
      See Also:
        `onPushNotificationServiceDisabled(PushNotificationService, PushNotificationServiceType)`, `PushNotificationService.getTelephonyEventServiceStatus()`

    - #### onPushNotificationServiceDisabled

          void onPushNotificationServiceDisabled​(PushNotificationService pushNotificationService,
                                                 PushNotificationServiceType pushNotificationServiceType)

      Reports that the push notification service has been successfully closed or its work was interrupted, for example by a network or server problem.
      Parameters:
        `pushNotificationService` - the `PushNotificationService` object that the callback is associated with.
        `pushNotificationServiceType` - service type.
      See Also:
        `onPushNotificationServiceEnabled(PushNotificationService, PushNotificationServiceType)`, `PushNotificationService.getTelephonyEventServiceStatus()`

    - #### onPushNotificationServiceFailed

          void onPushNotificationServiceFailed​(PushNotificationService pushNotificationService,
                                               PushNotificationServiceType pushNotificationServiceType,
                                               PushNotificationProcessingError error)

      Reports that the Push Notification service failed.
      Parameters:
        `pushNotificationService` - the `PushNotificationService` object that the callback is associated with.
        `pushNotificationServiceType` - service type.
        `error` - Error object describing the reason for the failure.
      See Also:
        `PushNotificationProcessingError`